Page MenuHomePhabricator

Drop MCR-obsoleted fields from the wiki replicas
Closed, ResolvedPublic

Description

To prepare for upstream changes, we need to drop the revision view fields: rev_text_id, rev_content_model, and rev_content_format and the archive view fields: ar_text_id, ar_content_model, and ar_content_format

These are apparently not being updated upstream already. This also needs to include the definition of all derivative views, including the _userindex views and the _compat views (if they are affected, and they likely are)

  • Announce the change (2 weeks out)
  • Prep the patch for review around the same time
  • Merge the patch just before deploy unless a new wiki request comes down the pipe
  • Beginning on 2020-05-25, depool the replicas and run the maintain-views script one at a time on each replica host, across all wikis
  • Repool and check everything.

Event Timeline

Bstorm triaged this task as Medium priority.May 8 2020, 4:04 PM
Bstorm raised the priority of this task from Medium to High.
Bstorm created this task.
Bstorm moved this task from Backlog to Wiki replicas on the Data-Services board.
Bstorm moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

@daniel Look right to you? I'll likely include you or someone from your team on the patch review to make sure it looks sane.

Change 595201 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] wikireplicas: remove MCR-obsoleted fields from the replica views

https://gerrit.wikimedia.org/r/595201

If this approach is correct for this next phase, I'll announce it. Please let me know soon.

Just found the original version of this ticket (which is dated and a bit different, so I'll close them together instead of merging them T174047: Hide deprecated/unused fields on toolforge replica [MCR])

@daniel For the announcement, I want to doublecheck the accuracy of one statement. Is it true to say that these fields are not currently being updated? If so, for how long-ish?

@daniel For the announcement, I want to doublecheck the accuracy of one statement. Is it true to say that these fields are not currently being updated? If so, for how long-ish?

The config patch was merged on November 19, see T198312: Set the WMF cluster to use the new MCR-only schema.

Initial announcement sent

@daniel I'm all set to get this closed up, I'm just waiting on a final review of the patch. I think it's good to go. I'll test it locally first because it's really hard to fix sometimes if it goes badly.

Change 595201 merged by Bstorm:
[operations/puppet@production] wikireplicas: remove MCR-obsoleted fields from the replica views

https://gerrit.wikimedia.org/r/595201

Mentioned in SAL (#wikimedia-operations) [2020-05-29T16:00:47Z] <bstorm_> Updating views on labsdb1012 T252219

Mentioned in SAL (#wikimedia-operations) [2020-05-29T17:28:52Z] <bstorm_> updating views on labsdb1009 T252219

@Marostegui I won't be able to squeeze this in on 1009-11 (or db1141) without depooling, I think after a first attempt on 1009, which is the most likely one to succeed without. You've been doing a lot of work on 1011 and friends, so I thought I'd check in before I start that rotation on Monday. Ok to proceed?

Can you do labsdb1011 now? It is depooled at the moment. I will be depooling db1141 on Monday, I will comment here once you can proceed with that one if you like

Mentioned in SAL (#wikimedia-operations) [2020-05-29T20:55:33Z] <bstorm_> updating views on labsdb1011 T252219

Mentioned in SAL (#wikimedia-operations) [2020-05-29T22:32:24Z] <bstorm_> updated views on labsdb1010 T252219

Surprisingly, only labsdb1009 and db1141 now remain.

@Bstorm db1141 is be depooled and will stay depooled till tomorrow, so please go ahead and do the change there today sometime during your day if you could.
Thank you!

Mentioned in SAL (#wikimedia-operations) [2020-06-01T16:39:47Z] <bstorm_> running view updates on db1141 T252219

Change 602280 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbproxy1019: Depool labsdb1009

https://gerrit.wikimedia.org/r/602280

Change 602280 merged by Marostegui:
[operations/puppet@production] dbproxy1019: Depool labsdb1009

https://gerrit.wikimedia.org/r/602280

Mentioned in SAL (#wikimedia-operations) [2020-06-04T08:14:54Z] <marostegui> Run sudo /usr/local/sbin/maintain-views --all-databases --replace-all on labsdb1009 - T252219

Mentioned in SAL (#wikimedia-operations) [2020-06-04T08:50:01Z] <marostegui> Repool labsdb1009 after running maintain-views T252219

Surprisingly, only labsdb1009 and db1141 now remain.

labsdb1009 done.
db1141 was done at T252219#6182415

All hosts done

I have checked everything and it looks good (labsdb1011 is still being rebuilt, so I will take care of running this there once it is done).
Otherwise I think this is all done but I will leave @Bstorm to double check and close the task.

Quick spot check looks good.